Send a test notification to one destination (org admins)
POST
/v1/auto/routes/test
const url = 'https://api.monita.ai/v1/auto/routes/test';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"route":{"id":"example","name":"example","enabled":true,"channel":{"type":"email","target":"example"},"pillars":["volume"],"minSeverity":"low","domainIds":["example"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monita.ai/v1/auto/routes/test \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "route": { "id": "example", "name": "example", "enabled": true, "channel": { "type": "email", "target": "example" }, "pillars": [ "volume" ], "minSeverity": "low", "domainIds": [ "example" ] } }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
route
required
object
id
string
name
string
enabled
boolean
channel
required
object
type
required
string
target
required
string
pillars
required
Array<string>
minSeverity
string
domainIds
Array<string>
Responses
Section titled “Responses”Delivery outcome
Media typeapplication/json
object
ok
required
boolean
error
string
skipped
Array<object>
object
target
required
string
reason
required
string
Examplegenerated
{ "ok": true, "error": "example", "skipped": [ { "target": "example", "reason": "example" } ]}Invalid destination
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Admins only
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Delivery unavailable
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}